---
title: Update an incident Google Meet configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an incident Google Meet configuration{% #update-an-incident-google-meet-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                |
| ----------------- | ------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/incidents/config/google-meet-configurations/{id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/incidents/config/google-meet-configurations/{id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/incidents/config/google-meet-configurations/{id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/incidents/config/google-meet-configurations/{id} |

### Overview

Update a Google Meet configuration for incidents. This endpoint requires the `incident_settings_write` permission.

OAuth apps require the `incident_settings_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                 | Type   | Description                                |
| -------------------- | ------ | ------------------------------------------ |
| id [*required*] | string | The UUID of the Google Meet configuration. |

### Request

#### Body Data (required)

Google Meet configuration patch payload.

{% tab title="Model" %}

| Parent field | Field                         | Type    | Description                                                                                |
| ------------ | ----------------------------- | ------- | ------------------------------------------------------------------------------------------ |
|              | data [*required*]        | object  | Google Meet configuration data in a patch request.                                         |
| data         | attributes                    | object  | Attributes for patching a Google Meet configuration. All fields are optional.              |
| attributes   | allow_manual_meeting_creation | boolean | Whether to allow manual meeting creation.                                                  |
| attributes   | auto_summarize                | boolean | Whether to auto-summarize meetings.                                                        |
| data         | id [*required*]          | uuid    | The configuration identifier.                                                              |
| data         | type [*required*]        | enum    | Google Meet configuration resource type. Allowed enum values: `google_meet_configurations` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "allow_manual_meeting_creation": true,
      "auto_summarize": false
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "type": "google_meet_configurations"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a Google Meet configuration.

| Parent field          | Field                                           | Type      | Description                                                                                |
| --------------------- | ----------------------------------------------- | --------- | ------------------------------------------------------------------------------------------ |
|                       | data [*required*]                          | object    | Google Meet configuration data in a response.                                              |
| data                  | attributes [*required*]                    | object    | Attributes of a Google Meet configuration.                                                 |
| attributes            | allow_manual_meeting_creation [*required*] | boolean   | Whether manual meeting creation is allowed.                                                |
| attributes            | auto_summarize [*required*]                | boolean   | Whether meetings are auto-summarized.                                                      |
| attributes            | created_at                                      | date-time | Timestamp when the configuration was created.                                              |
| attributes            | modified_at [*required*]                   | date-time | Timestamp when the configuration was last modified.                                        |
| data                  | id [*required*]                            | uuid      | The configuration identifier.                                                              |
| data                  | relationships                                   | object    | Relationships for a Google Meet configuration.                                             |
| relationships         | created_by_user                                 | object    | Relationship to user.                                                                      |
| created_by_user       | data [*required*]                          | object    | Relationship to user object.                                                               |
| data                  | id [*required*]                            | string    | A unique identifier that represents the user.                                              |
| data                  | type [*required*]                          | enum      | Users resource type. Allowed enum values: `users`                                          |
| relationships         | incident_type                                   | object    | Relationship to an incident type.                                                          |
| incident_type         | data [*required*]                          | object    | Relationship to incident type object.                                                      |
| data                  | id [*required*]                            | string    | The incident type's ID.                                                                    |
| data                  | type [*required*]                          | enum      | Incident type resource type. Allowed enum values: `incident_types`                         |
| relationships         | last_modified_by_user                           | object    | Relationship to user.                                                                      |
| last_modified_by_user | data [*required*]                          | object    | Relationship to user object.                                                               |
| data                  | id [*required*]                            | string    | A unique identifier that represents the user.                                              |
| data                  | type [*required*]                          | enum      | Users resource type. Allowed enum values: `users`                                          |
| data                  | type [*required*]                          | enum      | Google Meet configuration resource type. Allowed enum values: `google_meet_configurations` |
|                       | included                                        | [object]  | Included related resources.                                                                |
| included              | attributes                                      | object    | Attributes of user object returned by the API.                                             |
| attributes            | email                                           | string    | Email of the user.                                                                         |
| attributes            | handle                                          | string    | Handle of the user.                                                                        |
| attributes            | icon                                            | string    | URL of the user's icon.                                                                    |
| attributes            | name                                            | string    | Name of the user.                                                                          |
| attributes            | uuid                                            | string    | UUID of the user.                                                                          |
| included              | id                                              | string    | ID of the user.                                                                            |
| included              | type                                            | enum      | Users resource type. Allowed enum values: `users`                                          |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "allow_manual_meeting_creation": true,
      "auto_summarize": false,
      "created_at": "2024-01-01T00:00:00.000Z",
      "modified_at": "2024-01-01T00:00:00.000Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "google_meet_configurations"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export id="CHANGE_ME" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/incidents/config/google-meet-configurations/${id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "auto_summarize": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "google_meet_configurations"
  }
}
EOF 
                
{% /tab %}
